<?php

namespace Drupal\tapis_app_webform;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

// @note: You only need Reference, if you want to change service arguments.

/**
 * Modifies the webform element manager service.
 */
class TapisAppWebformServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    // Note: it's safest to use hasDefinition() first,
    // because getDefinition() will
    // throw an exception if the given service doesn't exist.
    if ($container->hasDefinition('plugin.manager.webform.element')) {
      $definition = $container->getDefinition('plugin.manager.webform.element');
      $definition->setClass('Drupal\tapis_app_webform\Plugin\WebformPermissionedElementManager');
    }
  }

}
